Cgl 0.60.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
List of all members
CoinSosSet Class Reference

Very simple class for containing SOS set. More...

`#include <CoinMpsIO.hpp>`

Inheritance diagram for CoinSosSet:
[legend]
Collaboration diagram for CoinSosSet:
[legend]

## Public Member Functions
Constructor and destructor
| CoinSosSet (int numberEntries, const int *which, const double *weights, int type)
| Constructor. More...
virtual | ~CoinSosSet ()
| Destructor. More...
Public Member Functions inherited from CoinSet
| CoinSet ()
| Default constructor. More...
| CoinSet (int numberEntries, const int *which)
| Constructor. More...
| CoinSet (const CoinSet &)
| Copy constructor. More...
CoinSet & | operator= (const CoinSet &rhs)
| Assignment operator. More...
virtual | ~CoinSet ()
| Destructor. More...
int | numberEntries () const
| Returns number of entries. More...
void | setNumberEntries (int number)
| Sets number of entries. More...
int | setType () const
| Returns type of set - 1 =SOS1, 2 =SOS2. More...
void | setSetType (int type)
| Sets type of set - 1 =SOS1, 2 =SOS2. More...
const int * | which () const
| Returns list of variables. More...
const double * | weights () const
| Returns weights. More...
int * | modifiableWhich () const
| Returns modifiable list of variables. More...
double * | modifiableWeights () const
| Returns modifiable weights. More...

## Additional Inherited Members
Protected Attributes inherited from CoinSet
int | numberEntries_
| Number of entries. More...
int | setType_
| type of set More...
int * | which_
| Which variables are in set. More...
double * | weights_
| Weights. More...

## Detailed Description

Very simple class for containing SOS set.

Definition at line 361 of file CoinMpsIO.hpp.

## Constructor & Destructor Documentation

CoinSosSet::CoinSosSet | ( | int | numberEntries,
|  | const int * | which,
|  | const double * | weights,
|  | int | type
| ) |  |

Constructor.

virtual CoinSosSet::~CoinSosSet | ( |  | ) |
| virtual

Destructor.

The documentation for this class was generated from the following file:

- /tmp/Cgl-0.60.2/CoinUtils/src/CoinMpsIO.hpp